# caosdb-cppinttest

Integration tests for caosdb-cpplib and the caosdb-server

# Dependencies

* clang-tidy
* clang-format
* include-what-you-use
* cmake
* conan

# Run tests

## Prerequisite
Create a local conan package from the caosdb-cpplib repository

## Build & Execution
1. `mkdir build && cd build/`
2. `conan install .. -s "compiler.libcxx=libstdc++11"`
3. `cmake -B . ..`
4. `cmake --build .`
5. Setup env vars
	- CAOSDB_SERVER_GRPC_PORT_HTTP
	- CAOSDB_SERVER_HOST
	- CAOSDB_SERVER_GRPC_PORT_HTTPS
	- CAOSDB_SERVER_CERT
6. Run with `ctest` in the build directory.

## Formatting, style, linting ##

`make format`
